<?php

namespace App\Http\Controllers;

use App\Models\FolderDirectoryModel;
use App\Models\User;
use App\Models\UserDirPermissionModel;
use Illuminate\Support\Facades\Validator;
use App\Service\HelperFunctionService;
use Illuminate\Validation\Rule;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;
use App\Models\NotificationModel;
use App\Models\SectionModel;


class NotificationController extends Controller
{

    public const CODE = 'NC' ;

    // noti for bell button
    public function getNotification(Request $request){

        try{
            $user_details = HelperFunctionService::doValidateDashboardUser() ;

            $bsns_id = $user_details->bussiness_id ;

            $log_data = NotificationModel::select(
                'title',
                'id',
                'description',
                'notification_type',
                'created_at',
            )->where('bussiness_id', $bsns_id)
            ->whereNull('deleted_at')
            ->where('is_seen','0')
            ->where('destination_user_id', $user_details->id)
            ->orderBy('id','desc');

            $log_data = $log_data->get()->toArray() ;

            $result_ar = [] ;
            $i = 0 ;
            foreach($log_data as $val){
                $result_ar[$i]['created_at'] = date('d M, Y | h:i:s a', strtotime( $val['created_at'])) ;
                $result_ar[$i]['time'] = date('h:i:s a', strtotime( $val['created_at'])) ;
                $result_ar[$i]['date'] = date('d M, Y', strtotime( $val['created_at'])) ;
                $result_ar[$i]['title'] = $val['title'] ;
                $result_ar[$i]['id'] = $val['id'] ;
                $result_ar[$i]['description'] = $val['description'] ;
                $i++;
            }

            $user_ar = [] ;

            return response()->json([
                'status' => true,
                'data' => [
                    'notifications' => $result_ar,
                    'count' => count($result_ar)
                ]
            ],200);

        }catch(\Exception $e){

            $err = [
               'code' => self::CODE.'01',
               'message' => $e->getMessage(),
               'file' => $e->getFile(),
               'line' => $e->getLine()
           ];

            Log::info( " ERROR :: " , $err ) ;

            return response()->json([
                'status' => false,
                'message'=> $e->getMessage()
            ],200);
       }
    }

    // all notif
    public function getNotificationAll(Request $request){

        try{
            $user_details = HelperFunctionService::doValidateDashboardUser() ;

            $bsns_id = $user_details->bussiness_id ;

            $log_data = NotificationModel::select(
                'title',
                'id',
                'description',
                'notification_type',
                'created_at',
            )->where('bussiness_id', $bsns_id)
            ->whereNull('deleted_at')
            ->where('destination_user_id', $user_details->id)
            ->orderBy('id','desc');

            $log_data = $log_data->get()->toArray() ;

            $result_ar = [] ;
            $i = 0 ;
            foreach($log_data as $val){
                $result_ar[$i]['created_at'] = date('d M, Y | h:i:s a', strtotime( $val['created_at'])) ;
                $result_ar[$i]['time'] = date('h:i:s a', strtotime( $val['created_at'])) ;
                $result_ar[$i]['date'] = date('d M, Y', strtotime( $val['created_at'])) ;
                $result_ar[$i]['title'] = $val['title'] ;
                $result_ar[$i]['id'] = $val['id'] ;
                $result_ar[$i]['description'] = $val['description'] ;
                $i++;
            }

            $user_ar = [] ;

            return response()->json([
                'status' => true,
                'data' => [
                    'notifications' => $result_ar
                ]
            ],200);

        }catch(\Exception $e){

            $err = [
               'code' => self::CODE.'02',
               'message' => $e->getMessage(),
               'file' => $e->getFile(),
               'line' => $e->getLine()
           ];

            Log::info( " ERROR :: " , $err ) ;

            return response()->json([
                'status' => false,
                'message'=> $e->getMessage()
            ],200);
        }
    }


}
