<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\File;
use Illuminate\Support\Facades\Log;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        if(env('SAVE_QUERY',true)){

            DB::listen(function ($query) {

                //Log::Info($query->sql);
                $str = '' ;
                foreach( $query->bindings as $val) {
                    if( is_object($val)  ){
                        $str .= json_encode($val) .' , ' ;
                    }else{
                        $str .= $val.' , ' ;
                    }
                }
                File::append(
                    storage_path('/logs/query.log'),
                    $query->sql . ' [' . substr($str, 0 , -3)  . ']' . PHP_EOL . PHP_EOL
                );
            });
        }
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        //
    }
}
