<?php

namespace App\Service;

use App\Models\FileDocumentModel;
use App\Models\FolderDirectoryModel;
use Faker\Core\Number;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Auth;

class HelperFunctionService
{
    public static function getCode(string $str, int $id ){

        if(10>$id){
            return $str. '000'.$id ; // S0005
        }elseif( 100>$id && 10<$id  ){
            return $str. '00'.$id ; // S0025
        }elseif( 1000>$id && 100<$id  ){
            return $str. '0'.$id ; // S01235
        }else{
            return $str.$id ; // S61235 , S2124235
        }
    }


    public static function doValidateForGroupAdmin(){

        $user_details = Auth::user();

        if(!$user_details){
            throw new \Exception('User is not authenticate');
        }

        if($user_details->role_id!=2){
            throw new \Exception('Permission denied');
        }

        return $user_details ;
    }

    public static function doValidateForUser(){

        $user_details = Auth::user();

        if(!$user_details){
            throw new \Exception('User is not authenticate');
        }

        if($user_details->role_id!=3 && $user_details->role_id!=2 ){
            throw new \Exception('Permission denied');
        }

        return $user_details ;
    }

    public static function doValidateDashboardUser(){

        $user_details = Auth::user();

        if(!$user_details){
            throw new \Exception('User is not authenticate');
        }

        if($user_details->role_id!=2 && $user_details->role_id!=3){
            throw new \Exception('Permission denied');
        }

        return $user_details ;
    }

}
