<?php

namespace App\Service;

use App\Models\AuditLogModel;
use App\Models\FileDocumentModel;
use App\Models\FolderDirectoryModel;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Auth;

class MultiService
{
    // check of delete level missing
    public function delRecursive(array $ar ){

        $folder_id = $ar['folder_id'] ;
        $bsns_id = $ar['bussiness_id'] ;
        
        FileDocumentModel::where('folder_id', $folder_id )
        ->where('bussiness_id', $bsns_id)
        ->whereNull('deleted_at')
        ->update([
            'deleted_at' => date('Y-m-d H:i:s') 
        ]);

        Log::info('MS001 :: file del where folder id :  '. $folder_id );

        $folder_data = FolderDirectoryModel::select('section_id','folder_name','id')->where('parent_folder_id', $folder_id )
        ->whereNull('deleted_at')
        ->get()->toArray() ;

        $is_upd = FolderDirectoryModel::where('parent_folder_id',$folder_id)
        ->where('bussiness_id', $bsns_id)
        ->whereNull('deleted_at')
        ->update([
            'deleted_at' => date('Y-m-d H:i:s') 
        ]);

        foreach($folder_data as $val){
            $this->delRecursive(['folder_id'=>$val['id'], 'bussiness_id'=>$bsns_id ]) ;
            Log::info('MS002 :: folder del :  '. $val['id']);
        }
    }

    // check of delete level missing
    public function recoverRecursive(array $ar ){

        $folder_id = $ar['folder_id'] ;
        $bsns_id = $ar['bussiness_id'] ;
        // $delete_level = isset($ar['delete_level']) ? $ar['delete_level'] : 0 ;

        FileDocumentModel::where('folder_id', $folder_id )
        ->where('bussiness_id', $bsns_id)
        ->where('delete_level', 0)
        ->update([
            'deleted_at' => null
        ]);

        $folder_data = FolderDirectoryModel::select('section_id','folder_name','id')->where('parent_folder_id', $folder_id )
        ->where('delete_level', 0)
        ->whereNotNull('deleted_at')
        ->get()->toArray() ;

        $is_upd = FolderDirectoryModel::where('parent_folder_id',$folder_id )
        ->where('bussiness_id', $bsns_id)
        ->where('delete_level', 0)
        ->update([
            'deleted_at' => null
        ]);

        foreach($folder_data as $val){
            $this->recoverRecursive(['folder_id'=>$val['id'], 'bussiness_id'=>$bsns_id ]) ;
        }
    }

    public function delPermRecursive(array $ar ){

        $folder_id = $ar['folder_id'] ;
        $bsns_id = $ar['bussiness_id'] ;
        
        FileDocumentModel::where('folder_id', $folder_id )
        ->where('bussiness_id', $bsns_id)
        // ->whereNotNull('deleted_at')
        ->update([
            'delete_level' => 1
        ]);

        Log::info('MS004 :: file del permanent where folder id :  '. $folder_id );

        $folder_data = FolderDirectoryModel::select('section_id','folder_name','id')->where('parent_folder_id', $folder_id )
        ->whereNull('deleted_at')
        ->get()->toArray() ;

        $is_upd = FolderDirectoryModel::where('parent_folder_id',$folder_id)
        ->where('bussiness_id', $bsns_id)
        // ->whereNotNull('deleted_at')
        ->update([
            'delete_level' => 1
        ]);

        foreach($folder_data as $val){
            $this->delPermRecursive(['folder_id'=>$val['id'], 'bussiness_id'=>$bsns_id ]) ;
            Log::info('MS002 :: folder del :  '. $val['id']);
        }
    }

}
