<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AuditLogModel extends Model
{
    use HasFactory;
    public $table = 'audit_log';

    // public $timestamps = true;

    protected $fillable = [
        'file_uid',
        'folder_id',
        'user_id',
        'action',
        'section_code',
        'log_type',
        'bussiness_id',
        'text',
        'entity_type' // 1:file , 2: folder , 3:user 
    ];
}

/**

search by : 'log_type' => 13 ,
1 (entity_type : file) :  13, 3, 4, 5, 6, 7, 14
2 (entity_type : folder ) : 1 , 2

Log Type -  
::
file add : 3
file rename (not possible yet) 
file verison update : 6 
file move : 16
::
folder template imposer on add on folder : 8
folder template edit on folder : 9
folder move : 10
::
folder added  : 1 -- done
folder del : 15 -- done
folder rename  : 2 -- done
file locked : 7 -- done
file unlock : 17 -- done
file download : 4 -- done
file update : 5 -- done
file del : 14  -- done
file upload : 13 -- done
file link document : 18 -- done
file view : 19 -- done
file del linked document : 20 -- done
user login : 21 -- done
file del perm : 22 
folder del perm : 23 
folder retention added : 24 



*/

  
