<?php

namespace App\Service;

use App\Models\AuditLogModel;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Auth;

class AuditLogService
{
    public static function addAuditLog(array $ar ){

        try{

            $ar['created_at'] = date('Y-m-d H:i:s') ; 
            
            $result = AuditLogModel::insert($ar) ;

            $status = true ;

            if(!$result) {
                $status = false ;
            }

            return [
                'status' => $status
            ];

        } catch (\Exception $e) {

            $err = [
                'code' => 'ALS001',
                'message' => $e->getMessage(),
                'file' => $e->getFile(),
                'line' => $e->getLine()
            ];

            Log::info(" ERROR :: ", $err);

            return response()->json([
                'status' => false,
                'message' => $e->getMessage()
            ], 200);
        }


    }

}
