<?php

namespace App\Service;

use App\Models\FileDocumentModel;
use App\Models\FolderDirectoryModel;
use Faker\Core\Number;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Log;
use Illuminate\Support\Facades\Auth;

class HelperFunctionService
{
    public static function getCode(string $str, int $id ){

        if(10>$id){
            return $str. '000'.$id ;
        }elseif( 100>$id && 10<$id  ){
            return $str. '00'.$id ;
        }elseif( 1000>$id && 100<$id  ){
            return $str. '0'.$id ;
        }else{
            return $str.$id ;
        }
    }


    public static function doValidateForGroupAdmin(){

        $user_details = Auth::user();

        if(!$user_details){
            throw new \Exception('User is not authenticate');
        }

        if($user_details->role_id!=2){
            throw new \Exception('Permission denied');
        }

        return $user_details ;
    }

    public static function doValidateForUser(){

        $user_details = Auth::user();

        if(!$user_details){
            throw new \Exception('User is not authenticate');
        }

        if($user_details->role_id!=3 && $user_details->role_id!=2 ){
            throw new \Exception('Permission denied');
        }

        return $user_details ;
    }

    public static function doValidateDashboardUser(){

        $user_details = Auth::user();

        if(!$user_details){
            throw new \Exception('User is not authenticate');
        }

        if($user_details->role_id!=2 && $user_details->role_id!=3){
            throw new \Exception('Permission denied');
        }

        return $user_details ;
    }

    public static function getValidationError($validation){

        if ($validation->fails()) {

            $errorMessages = $validation->errors();

            $formattedErrors = [];
            $msg = '' ;
    
            $cnt = count($errorMessages->messages()) ;
            
            foreach ($errorMessages->messages() as $key => $messages) {
                $formattedErrors[$key] = $messages[0];
                $msg .= $formattedErrors[$key] . '<br>' ;
            }

            throw new \Exception (  substr($msg, 0, -4) );
        }

        return $validation->validated();
    }

}
