<?php

namespace App\Service;

use App\Models\FileDocumentModel;
use Illuminate\Support\Facades\DB;

class RetentionService
{

    public function addRetention($folderId, $ret_date = '', $retention_type = '', $retention_period = '')
    {
        // Get all folder IDs under the given folder (including the folder itself)
        $folderIds = $this->getAllFolderIds($folderId);

        // Update retention for documents in the selected folders
        DB::table('documents')
            ->whereIn('folder_id', $folderIds)
            ->update([
                'retention_date' => $ret_date,
                'retention_type' => $retention_type,
                'retention_period' => $retention_period

            ]);

    }

    public function getAllFolderIds($folderId)
    {
        $folderIds = [$folderId];

        $subFolderIds = $this->getSubFolderIds($folderId);
        $folderIds = array_merge($folderIds, $subFolderIds);

        return $folderIds;
    }

    public function getSubFolderIds($folderId)
    {
        $subFolderIds = DB::table('folder_directory')
            ->where('parent_folder_id', $folderId)
            ->pluck('id')
            ->toArray();

        foreach ($subFolderIds as $subFolderId) {
            $subFolderIds = array_merge($subFolderIds, $this->getSubFolderIds($subFolderId));
        }

        return $subFolderIds;
    }

}
