
@main
```sql

SELECT * FROM `documents` order by id desc limit 10;

ALTER TABLE `form_data` 
ADD COLUMN `created_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ,
ADD COLUMN `updated_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP ;

alter table abc add column deleted_at TIMESTAMP  DEFAULT null ;

```



```sql 
-- folder id, template id
CREATE TABLE `template_folder_assoc` (
  `id` int NOT NULL AUTO_INCREMENT,
  `folder_id` int NOT NULL,
  `template_id` int NOT NULL,
  `bussiness_id` int NOT NULL,
  `added_by` int NOT NULL,
  `is_apply_on_sub_folder` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) 
```

```sql 

ALTER TABLE documents ADD COLUMN template_data TEXT DEFAULT NULL;
ALTER TABLE documents ADD COLUMN template_id int DEFAULT NULL;
Alter table documents add column section_code varchar(20) DEFAULT NULL;

Alter table section add column section_code varchar(20) DEFAULT NULL;  -- may be in prod
Alter table users add column deleted_at varchar(20) DEFAULT NULL;  -- may be in prod 

ALTER TABLE `documents` CHANGE `tag_id` `tags` text NULL AFTER `folder_id`;

ALTER TABLE `documents` CHANGE `folder_id` `folder_id` varchar(10) NULL AFTER `folder_id`;

ALTER TABLE `documents` add column `updated_by` int NULL   ;

```

```sql
alter table documents add column bussiness_id int default null;
alter table folder_directory add column bussiness_id int default null;
```


```sql

CREATE TABLE `user_dir_permission` (
  `id` int NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `section_code` int NOT NULL,
  `bussiness_id` int NOT NULL,
  `added_by` int NOT NULL,
  `folder_id` int NOT NULL,
  `assigned_to` int NOT NULL,
  `view` tinyint(1) NOT NULL DEFAULT '0',
  `edit` tinyint(1) NOT NULL DEFAULT '0',
  `download` tinyint(1) NOT NULL DEFAULT '0',
  `delete` tinyint(1) NOT NULL DEFAULT '0'
);

alter table user_dir_permission add column deleted_at TIMESTAMP  DEFAULT null ;

ALTER TABLE `user_dir_permission` 
ADD COLUMN `created_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ,
ADD COLUMN `updated_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP ;

ALTER TABLE `user_dir_permission`
CHANGE `section_code` `section_code` varchar(15) NOT NULL AFTER `id`;

alter table user_dir_permission 
CHANGE `deleted_at` `deleted_at` varchar(25) DEFAULT NULL  ;
```



```sql
alter table folder_directory add column updated_by int default null ; 
```

```sql

CREATE TABLE `link_document` (
  `id` int NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `file_id` int NOT NULL,
  `attached_document_id` int NOT NULL,
  `bussiness_id` int NOT NULL,
  `added_by` int NOT NULL
);

ALTER TABLE `link_document` 
ADD COLUMN `created_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ;

ALTER TABLE `link_document` 
ADD COLUMN `updated_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP ;

alter table link_document add column deleted_at varchar(20) default null ;

ALTER TABLE `documents`
CHANGE `unique_id` `unique_id` int NULL AFTER `name`;

CREATE TABLE `document_versioning` (
  `id` int NOT NULL AUTO_INCREMENT PRIMARY KEY,
  `file_uid` int NOT NULL,
  `version_number` varchar(40) NOT NULL,
  `file_id` int NOT NULL,
  `added_by` int NOT NULL,
  `bussiness_id` int NOT NULL
);



ALTER TABLE `document_versioning` 
ADD COLUMN `created_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ;

ALTER TABLE `document_versioning` 
ADD COLUMN `updated_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP ;

alter table document_versioning add column deleted_at varchar(20) default null ;

```


```sql
alter table documents add column is_locked varchar(20) default null ; 
alter table documents add column locked_by int default null ;

ALTER TABLE `documents`
ADD `retention_date` varchar(20) NULL FIRST,
ADD `retention_type` tinyint NULL AFTER `retention_date`;
```

```sql

ALTER TABLE `documents`
ADD `retention_period` varchar(20) NULL ;

```

```sql

-- CREATE TABLE `user_onboard` (
--   `current_plan` int DEFAULT NULL,
--   `id` int NOT NULL AUTO_INCREMENT,
--   `name` int NOT NULL,
--   `email` varchar(50) NOT NULL,
--   `phone` int NOT NULL,
--   `company_name` varchar(100) DEFAULT NULL,
--   `gst_no` int DEFAULT NULL,
--   PRIMARY KEY (`id`)
-- ) ; 

ALTER TABLE `bussiness`
ADD `company_name` varchar(300) NOT NULL ,
ADD `current_plan` tinyint NOT NULL AFTER `company_name`;

ALTER TABLE `users`
ADD `is_email_verify` tinyint NULL DEFAULT '0' ;

CREATE TABLE `audit_log` (
  `id` int NOT NULL AUTO_INCREMENT,
  `file_uid` int DEFAULT NULL,
  `folder_id` int DEFAULT NULL,
  `user_id` bigint unsigned NOT NULL,
  `action` varchar(1000) NOT NULL,
  `section_id` int DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ;

ALTER TABLE `audit_log`
ADD `entity_type` tinyint NOT NULL ;


ALTER TABLE `audit_log`
ADD `log_type` int NOT NULL;

ALTER TABLE `audit_log`
ADD `bussiness_id` int NOT NULL;

alter table bussiness add column deleted_at varchar(30) null ;

```

```sql
ALTER TABLE users
DROP INDEX users_email_unique;

```

```sql

CREATE TABLE `notification` (
  `deleted_at` timestamp NULL DEFAULT NULL,
  `id` int NOT NULL AUTO_INCREMENT,
  `title` varchar(50) DEFAULT NULL,
  `description` varchar(500) DEFAULT NULL,
  `notification_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL,
  `is_seen` tinyint NOT NULL DEFAULT '0',
  `bussiness_id` int DEFAULT NULL,
  `source_user_id` int DEFAULT NULL,
  `destination_user_id` int DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `id_UNIQUE` (`id`)
) 

alter table notification add column section_code varchar(25) default null ;

alter table notification add column folder_id int default null ;


ALTER TABLE `notification` 
ADD COLUMN `created_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ,
ADD COLUMN `updated_at` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP ;
```

```sql

alter table documents add column delete_level tinyint default 0 ;
alter table folder_directory add column delete_level tinyint default 0 ;

alter table bussiness add column plan_expired_on date default null;
```

-- queries executed


```sql

alter table folder_directory
 add column `retention_date` varchar(20) DEFAULT NULL,
 add column   `retention_type` tinyint DEFAULT NULL ;

 
alter table folder_directory
 add column `retention_period` varchar(20) DEFAULT NULL ;

 CREATE TABLE `document_comment` (
  `id` int NOT NULL AUTO_INCREMENT,
  `file_uid` int NOT NULL,
  `comment` text NOT NULL,
  `bussiness_id` int NOT NULL,
  `added_by` int NOT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ;

alter table document_comment add column deleted_at TIMESTAMP  DEFAULT null ;


 ```